/*
    Copyright (C) 2004 by Wyatt Miler
  
    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.
  
    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.
  
    You should have received a copy of the GNU Library General Public
    License along with this library; if not, write to the Free
    Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef __BVVER_H__
#define __BVVER_H__

/**\file
 * BetaVerse Version Information
 */

// *** NOTE ***
// Also update BetaVerse/configure.ac when updating the version number.

/// Major version
#define BV_VERSION_MAJOR BV_VER_QUOTE(0.02)
/// Minor version (release, or "dev" for CVS version)
#define BV_VERSION_MINOR BV_VER_QUOTE(dev)
/// Date of release
#define BV_RELEASE_DATE  BV_VER_QUOTE(Mon Feb-23-2004)

#define BV_VER_QUOTE(X) #X

#if !defined(BV_PLATFORM_NAME)
/// Name of the platform BV is compiled for (i.e. Win32)
#  define BV_PLATFORM_NAME "UnknownPlatform"
#  warning Unable to identify platform name using BV_PLATFORM_NAME.
#endif
#if !defined(BV_PROCESSOR_NAME)
/// Name of the processor BV is compiled for (i.e. X86)
#  define BV_PROCESSOR_NAME "UnknownProcessor"
#  warning Unable to identify processor name using BV_PROCESSOR_NAME.
#endif
#if !defined(BV_COMPILER_NAME)
/// Name of the compiler BV is compiled with (i.e. GCC)
#  define BV_COMPILER_NAME "UnknownCompiler"
#  warning Unable to identify compiler name using BV_COMPILER_NAME.
#endif

/// A complete version number
#define BV_VERSION_NUMBER BV_VERSION_MAJOR " r" BV_VERSION_MINOR

/// A complete version string, including platform, processor and compiler
#define BV_VERSION BV_VERSION_NUMBER \
  " [" BV_PLATFORM_NAME "-" BV_PROCESSOR_NAME "-" BV_COMPILER_NAME "]"

#endif // __BVVER_H__
