#ifndef __CHAT_H__
#define __CHAT_H__

#include "paws/pawswidget.h"
#include "vos/metaobjects/misc/talkative.hh"

struct pawsListBox;
struct pawsButton;
struct pawsEditTextBox;
struct BetaVerse;
struct PawsManager;

class ChatWindow : public pawsWidget
{
public:
  SCF_DECLARE_IBASE;
  
  ChatWindow( PawsManager *pawsMan );
  virtual ~ChatWindow();
  virtual bool PostSetup();
  virtual bool OnButtonPressed( int button, int keyModifier, pawsWidget* widget );
  void Init( BetaVerse *beta );
  
  void UpdateChat( csString from, csString msg );
  void SendData();
  
private:
  PawsManager *pMan;
  pawsListBox *chatlist;
  pawsButton *send;
  pawsEditTextBox *input;
  BetaVerse *bv;
};

CREATE_PAWS_FACTORY( ChatWindow );

class ChatListener : public VOS::TalkListener
{
public:  
  ChatListener( ChatWindow *c );
  virtual void notifyTalkMessage( VOS::TalkMessage& m);

private:
  ChatWindow *chat;
}; 

#endif
