#include "cssysdef.h"
#include "cstool/initapp.h"
#include "csutil/scf.h"
#include "csutil/cfgfile.h"
#include "ivaria/reporter.h"

#include "betaverse.h"

#include <stdio.h>


CS_IMPLEMENT_APPLICATION

// The global system driver
BetaVerse *System;


int
main(int argc, char *argv[])
{
  printf("Starting BetaVerse v0.2 alpha\n");

  // Create our main class.
  System = new BetaVerse();

  // Initialize the main system. This will load all needed plug-ins
  // and initialize them.
  if (!System->Initialize(argc, argv, "/config/beta.cfg"))
  {
    System->Report(CS_REPORTER_SEVERITY_ERROR, "Error initializing system!");
    exit (1);
  }

  // Main loop.
  iObjectRegistry* object_reg = System->object_reg;
  csDefaultRunLoop(System->object_reg);

  delete System; System = NULL;
  csInitializer::DestroyApplication (object_reg);

  return 0;
}

