/*
 * pawsokbox.cpp - Author: Andrew Craig
 *
 * Copyright (C) 2003 PlaneShift Team (info@planeshift.it,
 * http://www.planeshift.it)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#include <cssysdef.h>

// CS INCLUDES

// COMMON INCLUDES

// CLIENT INCLUDES

// PAWS INCLUDES
#include "pawsmanager.h"
#include "pawsokbox.h"
#include "pawstextbox.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

pawsOkBox::pawsOkBox( PawsManager* manager )
          :pawsWidget( manager )
{
    okButton  = 0;
}

pawsOkBox::~pawsOkBox()
{
}

bool pawsOkBox::PostSetup()
{
    text = (pawsMultiLineTextBox*)FindWidget("Message Box");
    if ( !text ) 
        return false;

    okButton = FindWidget("OkButton");    
    return true;
}


void pawsOkBox::SetText( const char* newtext )
{    
    text->SetText( newtext );
}


bool pawsOkBox::OnButtonPressed( int mouseButton, int keyModifier, pawsWidget* widget )
{
    Hide();
    WindowManager()->SetModalWidget( 0 );
    return true;
}

