/*
 * pawsprogressbar.h - Author: Andrew Craig
 *
 * Copyright (C) 2003 PlaneShift Team (info@planeshift.it,
 * http://www.planeshift.it)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#ifndef PAWS_PROGRESS_BAR_HEADER
#define PAWS_PROGRESS_BAR_HEADER

#include "pawswidget.h"

class pawsProgressBar : public pawsWidget
{
public:
    pawsProgressBar( PawsManager* manager );
    ~pawsProgressBar();
    
    void SetTotalValue( float newValue ) { totalValue = newValue; }
    void Completed() { complete = true; }
    void SetCurrentValue( float newValue );
    virtual void Draw();
    
    bool IsDone() { return complete; }
    bool Setup(iDocumentNode* node);

private:
    float totalValue;
    float currentValue;
    float percent;
    bool  complete;

    int   start_r,start_g,start_b;
    int	  diff_r,diff_g,diff_b;
};

CREATE_PAWS_FACTORY( pawsProgressBar );

#endif
