/*
* pawstabwindow.cpp - Author: Andrew Dai
*
* Copyright (C) 2003 PlaneShift Team (info@planeshift.it,
* http://www.planeshift.it)
*
* This program is free software; you can redistribute it and/or
* modify it under the terms of the GNU General Public License
* as published by the Free Software Foundation (version 2 of the License)
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*
*/

// CS INCLUDES
#include <cssysdef.h>

// COMMON INCLUDES
#include "util/log.h"

// PAWS INCLUDES
#include "pawstabwindow.h"
#include "pawsmanager.h"

pawsTabWindow::pawsTabWindow( PawsManager* manager )
            :pawsWidget( manager )
{
}

bool pawsTabWindow::PostSetup()
{
	lastButton = (pawsButton*)FindWidget(1000);
	lastButton->SetState(true);
	activeTab = FindWidget(1100);
	for( int z = 0; z < children.Length(); z++ )
    {
        if ( strcmp(children[z]->GetType(), "pawsButton"))
			children[z]->Hide();
    }
	activeTab->Show();
	windowManager->SetCurrentFocusedWidget(activeTab);
    Resize();
    return true;
}

bool pawsTabWindow::OnButtonPressed( int mouseButton, int keyModifier, pawsWidget* widget )
{
	pawsButton* buttonWidget = ( pawsButton* ) widget;
	pawsWidget* newWidget = FindWidget(buttonWidget->GetID()+100);
	if (newWidget)
	{
		lastButton->SetState(false);
		activeTab->Hide();
		newWidget->Show();
		buttonWidget->SetState(true);
		windowManager->SetCurrentFocusedWidget(parent);
		activeTab=newWidget;
		lastButton=buttonWidget;
		return true;
	}
	return false;
}

void pawsTabWindow::SetTab(int id)
{
	pawsButton* buttonWidget = ( pawsButton* ) FindWidget(id);
	pawsWidget* newWidget = FindWidget(id+100);
	lastButton->SetState(false);
	activeTab->Hide();
	newWidget->Show();
	buttonWidget->SetState(true);
	windowManager->SetCurrentFocusedWidget(parent);
	activeTab=newWidget;
	lastButton=buttonWidget;
}
