/*
 * strutil.h by Matze Braun <MatzeBraun@gmx.de>
 *
 * Copyright (C) 2001 PlaneShift Team (info@planeshift.it,
 * http://www.planeshift.it)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation (version 2 of the License)
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */
#ifndef __STRUTIL_H__
#define __STRUTIL_H__

// CS INCLUDES
#include <csutil/array.h>

class csString;

csString GetWordNumber(const csString& str, int number, size_t startpos=0);


/** CmdWords is class that parses text command (e.g. "/newguild Insomniac Developers") to words */
class CmdWords
{
public:
    CmdWords(const csString & cmd);

    int GetCount();

    /* Returns given word, or empty string if it does not exist */
    csString Get(int wordNum);
    csString operator[](int wordNum);
    int      GetInt(int wordNum);

    /* Returns all words, starting at given word */
    csString GetTail(int wordNum);

protected:
    int AddWord(const csString & cmd, int pos);
    void SkipSpaces(const csString & cmd, int & pos);
    csArray <csString> words;
};


bool psContain(const csString& str, const csArray<csString>& strs);
bool psSentenceContain(const csString& sentence,const csString& word);
char* PS_GetFileName(char* path);
csArray<csString> psSplitt(csString& str, char delimer);

#endif

